/*ch0717.java*/ 
import java.awt.*;
import javax.swing.*;
public class ch0717
{ Button b1,b2,b3,b4,b5,b6;
  public ch0717()
  { JFrame f=new JFrame("Grid Layout  Demo");
    Container c=f.getContentPane();
    c.setLayout(new GridLayout(3,3));
    JButton b1=new JButton("按钮1");
    JButton b2=new JButton("按钮2");
    JButton b3=new JButton("按钮3");
    JButton b4=new JButton("按钮4");
    JButton b5=new JButton("按钮5");
    JButton b6=new JButton("按钮6");
    c.add(new JLabel("label1"));
    c.add(b1);c.add(b2);c.add(b3);
    c.add(new JLabel());
    c.add(b4);c.add(b5);c.add(b6);
    c.add(new JLabel("label2"));
    f.setSize(100,200);
    f.show();
  }
  public static void main(String args[])
  {  new ch0717();
  }
}


